# Create a bulk post

```http
POST https://api.synup.com/api/v4/bulk-posts
```

Source: https://developer.synup.com/api/posts/create-a-bulk-post

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Content-Type` | string | required |  |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.postName` | string | required |  |
| `input.locationIds` | array of string | required |  |
| `input.postType` | string | required |  |
| `input.postSites` | array of string | required |  |
| `input.postMessage` | array of object | required |  |
| `input.postMessage[].site` | string | optional |  |
| `input.postMessage[].message` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/bulk-posts' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "postName": "Bulk Announcement",
    "locationIds": [
      "{locationId1}",
      "{locationId2}"
    ],
    "postType": "ANNOUNCEMENT",
    "postSites": [
      "GOOGLE"
    ],
    "postMessage": [
      {
        "site": "GOOGLE",
        "message": "Message for all locations"
      }
    ]
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
